Recent Changes - Search:

edit SideBar

Bash

Description

The GNU Bourne Again shell (Bash) is a shell or command language interpreter that is compatible with the Bourne shell (sh). Bash incorporates useful features from the Korn shell (ksh) and the C shell (csh). Most sh scripts can be run by bash without modification. This package improves POSIX compliance over previous versions.

Homepage: http://gnu.org/software/bash/

Current version: v4.3-9

Please note: This is the 32-bit version! The 64-bit version can be found here.

Shellshock bug:

According to the shellshock Wikipedia entry as of Sep 30th, 2014, this is the list of reported vulnerabilities:

  1. CVE-2014-6271
  2. CVE-2014-6277 (as of 29 September 2014, the details of this additional vulnerability have not been made public)
  3. CVE-2014-6278 (as of 29 September 2014, the details of this additional vulnerability have not been made public)
  4. CVE-2014-7169
  5. CVE-2014-7186
  6. CVE-2014-7187

Please note that these versions (or higher) have vulnerabilities 1, 4, 5 and 6 fixed:

  • 4.3-9
  • 4.2-17
  • 4.1-10
  • 4.0-5
  • 3.2-5

Please note that any earlier versions might be partly or completely susceptible to shellshock vulnerabilities!

As soon as details regarding CVE-2014-6277 and CVE-2014-6278 are published I will update the packages again!

Downloads

RPM:

Source RPM:

Package dependencies:

  • none

Older version

RPM:

Source RPM:

Package dependencies:

  • none

Older version

RPM:

Source RPM:

Package dependencies:

  • none

Even older version

RPM:

Source RPM:

Package dependencies:

  • none

Even older older version

RPM:

Source RPM:

Package dependencies:

  • none

All versions

Edit - History - Print - Recent Changes - Search
Page last modified on September 30, 2014, at 08:59 AM